<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:36 UTC 2019 -->
<title>MapGesture.OnGestureListener.OnGestureListenerAdapter (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MapGesture.OnGestureListener.OnGestureListenerAdapter (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapGesture.OnGestureListener.OnGestureListenerAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapLabeledMarker.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html" target="_top">Frames</a></li>
<li><a href="MapGesture.OnGestureListener.OnGestureListenerAdapter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.mapping</div>
<h2 title="Class MapGesture.OnGestureListener.OnGestureListenerAdapter" class="title">Class MapGesture.OnGestureListener.OnGestureListenerAdapter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.mapping.MapGesture.OnGestureListener.OnGestureListenerAdapter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></dd>
</dl>
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></dd>
</dl>
<hr>
<br>
<pre>public abstract static class <span class="typeNameLabel">MapGesture.OnGestureListener.OnGestureListenerAdapter</span>
extends java.lang.Object
implements <a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></pre>
<div class="block">Default implementation for the OnGestureListener interface. Users may use this abstract
 class and overload specific methods to have a smaller code footprint.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping"><code>MapGesture.OnGestureListener</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.here.android.mpa.mapping.MapGesture.OnGestureListener">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></h3>
<code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html" title="class in com.here.android.mpa.mapping">MapGesture.OnGestureListener.OnGestureListenerAdapter</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#OnGestureListenerAdapter--">OnGestureListenerAdapter</a></span>()</code> </td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onDoubleTapEvent-android.graphics.PointF-">onDoubleTapEvent</a></span>(android.graphics.PointF p)</code>
<div class="block">A callback indicating that a user has performed a double tap gesture on a map.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onLongPressEvent-android.graphics.PointF-">onLongPressEvent</a></span>(android.graphics.PointF p)</code>
<div class="block">A callback indicating that a user has performed a long-press gesture on a map.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onLongPressRelease--">onLongPressRelease</a></span>()</code>
<div class="block">A callback indicating that a user has released a long-press gesture on a map.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onMapObjectsSelected-java.util.List-">onMapObjectsSelected</a></span>(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common">ViewObject</a>&gt; objects)</code>
<div class="block">A callback indicating that at least one <a href="../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common"><code>ViewObject</code></a> has been selected as a result
 of a user tapping on the map.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onMultiFingerManipulationEnd--">onMultiFingerManipulationEnd</a></span>()</code>
<div class="block">A callback indicating the user has removed all or all-except-one fingers from the screen.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onMultiFingerManipulationStart--">onMultiFingerManipulationStart</a></span>()</code>
<div class="block">A callback indicating the user has put more than one finger onto the screen.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onPanEnd--">onPanEnd</a></span>()</code>
<div class="block">A callback indicating the user has lifted up their finger and stopped panning.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onPanStart--">onPanStart</a></span>()</code>
<div class="block">A callback indicating the user has put one finger on the screen and moved their finger to
 trigger panning.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onPinchLocked--">onPinchLocked</a></span>()</code>
<div class="block">A callback indicating that a user has pinched enough to be recognized as the two-finger
 zoom gesture.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onPinchZoomEvent-float-android.graphics.PointF-">onPinchZoomEvent</a></span>(float scaleFactor,
                android.graphics.PointF p)</code>
<div class="block">A callback indicating that a user has performed a pinch-to-zoom gesture on a map.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onRotateEvent-float-">onRotateEvent</a></span>(float rotateAngle)</code>
<div class="block">A callback indicating that a user has performed a rotate gesture on a map.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onRotateLocked--">onRotateLocked</a></span>()</code>
<div class="block">A callback indicating that a user has rotated enough to be recognized as the two-finger
 rotation gesture.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onTapEvent-android.graphics.PointF-">onTapEvent</a></span>(android.graphics.PointF p)</code>
<div class="block">A callback indicating that a user has performed a single-tap gesture on a map.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onTiltEvent-float-">onTiltEvent</a></span>(float angle)</code>
<div class="block">A callback indicating that a user has performed a two-finger-tilt gesture on a map.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html#onTwoFingerTapEvent-android.graphics.PointF-">onTwoFingerTapEvent</a></span>(android.graphics.PointF p)</code>
<div class="block">A callback indicating that a user has performed a two-finger tap gesture on a map.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="OnGestureListenerAdapter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OnGestureListenerAdapter</h4>
<pre>public OnGestureListenerAdapter()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onPanStart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPanStart</h4>
<pre>public void onPanStart()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onPanStart--">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating the user has put one finger on the screen and moved their finger to
 trigger panning.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onPanStart--">onPanStart</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onPanEnd--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPanEnd</h4>
<pre>public void onPanEnd()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onPanEnd--">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating the user has lifted up their finger and stopped panning.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onPanEnd--">onPanEnd</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onMultiFingerManipulationStart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onMultiFingerManipulationStart</h4>
<pre>public void onMultiFingerManipulationStart()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onMultiFingerManipulationStart--">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating the user has put more than one finger onto the screen. Pinch,
 Rotate or Tilt manipulation events may also be called back.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onMultiFingerManipulationStart--">onMultiFingerManipulationStart</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onTiltEvent-float-"><code>MapGesture.OnGestureListener.onTiltEvent(float)</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onRotateEvent-float-"><code>MapGesture.OnGestureListener.onRotateEvent(float)</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onPinchZoomEvent-float-android.graphics.PointF-"><code>MapGesture.OnGestureListener.onPinchZoomEvent(float, PointF)</code></a></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onMultiFingerManipulationEnd--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onMultiFingerManipulationEnd</h4>
<pre>public void onMultiFingerManipulationEnd()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onMultiFingerManipulationEnd--">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating the user has removed all or all-except-one fingers from the screen.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onMultiFingerManipulationEnd--">onMultiFingerManipulationEnd</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onMapObjectsSelected-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onMapObjectsSelected</h4>
<pre>public boolean onMapObjectsSelected(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common">ViewObject</a>&gt; objects)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onMapObjectsSelected-java.util.List-">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating that at least one <a href="../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common"><code>ViewObject</code></a> has been selected as a result
 of a user tapping on the map.
 <p>
 If the user tapping on the map results in <a href="../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common"><code>ViewObject</code></a> selection (there are
 selectable objects located at the tap point), this callback will be made after
 <a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onTapEvent-android.graphics.PointF-"><code>MapGesture.OnGestureListener.onTapEvent(PointF)</code></a>, if and only if, <code>false</code> is returned for that callback.
 </p>
 <p>
 Note: If the user taps on an Android view in a <a href="../../../../../com/here/android/mpa/mapping/MapOverlay.html" title="class in com.here.android.mpa.mapping"><code>MapOverlay</code></a>, this method is
 triggered, but <code>objects</code> will be populated with a list of substitute
 <a href="../../../../../com/here/android/mpa/mapping/MapMarker.html" title="class in com.here.android.mpa.mapping"><code>MapMarker</code></a> objects. These markers have the same geocoordinates as the map
 overlays. To avoid this behavior and these substitute markers, do not use this callback
 method. Instead, use Android gesture handling on the <a href="../../../../../com/here/android/mpa/mapping/MapOverlay.html" title="class in com.here.android.mpa.mapping"><code>MapOverlay</code></a> subclass.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onMapObjectsSelected-java.util.List-">onMapObjectsSelected</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>objects</code> - A list of selected <code>ViewObject</code> objects</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if consumed, false otherwise</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/Map.html#getSelectedObjectsNearby-android.graphics.PointF-"><code>Map.getSelectedObjectsNearby(PointF)</code></a></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onTapEvent-android.graphics.PointF-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onTapEvent</h4>
<pre>public boolean onTapEvent(android.graphics.PointF p)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onTapEvent-android.graphics.PointF-">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating that a user has performed a single-tap gesture on a map.
 <p>
 If <code>true</code> is returned from this callback, no <a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onMapObjectsSelected-java.util.List-"><code>MapGesture.OnGestureListener.onMapObjectsSelected(List)</code></a>
 callback will be made to any gesture subscribers even if any objects are found at the
 screen point.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onTapEvent-android.graphics.PointF-">onTapEvent</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - A <code>PointF</code> representing the on-screen point of the single-tap gesture</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if consumed (which prevents the default pan-to-here behavior),
         <code>false</code> otherwise.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/Map.html#getSelectedObjectsNearby-android.graphics.PointF-"><code>Map.getSelectedObjectsNearby(PointF)</code></a></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onDoubleTapEvent-android.graphics.PointF-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onDoubleTapEvent</h4>
<pre>public boolean onDoubleTapEvent(android.graphics.PointF p)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onDoubleTapEvent-android.graphics.PointF-">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating that a user has performed a double tap gesture on a map.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onDoubleTapEvent-android.graphics.PointF-">onDoubleTapEvent</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - A <code>PointF</code> representing the on-screen point of the double-tap gesture</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if consumed (which prevents the default map zoom-in behavior), false
         otherwise</dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onPinchLocked--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPinchLocked</h4>
<pre>public void onPinchLocked()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onPinchLocked--">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating that a user has pinched enough to be recognized as the two-finger
 zoom gesture. This callback will only occur if <code>MapGesture</code> is set to exclusive
 mode from <a href="../../../../../com/here/android/mpa/mapping/MapGesture.html#setRotateEnabled-boolean-"><code>MapGesture.setRotateEnabled(boolean)</code></a></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onPinchLocked--">onPinchLocked</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapGesture.html#setRotateEnabled-boolean-"><code>MapGesture.setRotateEnabled(boolean)</code></a></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onPinchZoomEvent-float-android.graphics.PointF-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPinchZoomEvent</h4>
<pre>public boolean onPinchZoomEvent(float scaleFactor,
                                android.graphics.PointF p)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onPinchZoomEvent-float-android.graphics.PointF-">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating that a user has performed a pinch-to-zoom gesture on a map.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onPinchZoomEvent-float-android.graphics.PointF-">onPinchZoomEvent</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>scaleFactor</code> - A scale factor relative to the points of the two simultaneous touches at
            separate screen coordinates</dd>
<dd><code>p</code> - A <code>PointF</code> representing the on-screen point of the pinch gesture</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if consumed (which prevents the default map zoom-in or zoom-out behavior),
         false otherwise</dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onRotateLocked--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onRotateLocked</h4>
<pre>public void onRotateLocked()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onRotateLocked--">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating that a user has rotated enough to be recognized as the two-finger
 rotation gesture. This callback will only occur if <code>MapGesture</code> is set to exclusive
 mode from <a href="../../../../../com/here/android/mpa/mapping/MapGesture.html#setRotateEnabled-boolean-"><code>MapGesture.setRotateEnabled(boolean)</code></a></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onRotateLocked--">onRotateLocked</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapGesture.html#setRotateEnabled-boolean-"><code>MapGesture.setRotateEnabled(boolean)</code></a></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onRotateEvent-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onRotateEvent</h4>
<pre>public boolean onRotateEvent(float rotateAngle)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onRotateEvent-float-">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating that a user has performed a rotate gesture on a map.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onRotateEvent-float-">onRotateEvent</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rotateAngle</code> - An angle, in degrees, of the user interaction gesture since its last change</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if consumed (which prevents the default map rotate-to-here behavior), false
         otherwise</dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onTiltEvent-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onTiltEvent</h4>
<pre>public boolean onTiltEvent(float angle)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onTiltEvent-float-">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating that a user has performed a two-finger-tilt gesture on a map.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onTiltEvent-float-">onTiltEvent</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>angle</code> - An angle, in degrees between the range of the minimum and maximum angle
            inclusively, to which the map tilt will change. The minimum and maximum angle
            can be retrieved thru the calls <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMinTilt--"><code>Map.getMinTilt()</code></a> and
            <a href="../../../../../com/here/android/mpa/mapping/Map.html#getMaxTilt--"><code>Map.getMaxTilt()</code></a>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if consumed (which prevents the default map tilt-to-here behavior), false
         otherwise</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/Map.html#getMaxTilt--"><code>Map.getMaxTilt()</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/Map.html#getMinTilt--"><code>Map.getMinTilt()</code></a></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onLongPressEvent-android.graphics.PointF-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onLongPressEvent</h4>
<pre>public boolean onLongPressEvent(android.graphics.PointF p)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onLongPressEvent-android.graphics.PointF-">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating that a user has performed a long-press gesture on a map.
 <p>
 If a <a href="../../../../../com/here/android/mpa/mapping/MapMarker.html" title="class in com.here.android.mpa.mapping"><code>MapMarker</code></a> with dragging enabled is located at the same location, returning
 <code>true</code> for this method will nullify that setting.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onLongPressEvent-android.graphics.PointF-">onLongPressEvent</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - A <code>PointF</code> representing the on-screen point where a user has
            long-pressed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if consumed (which prevents the default map move-to-here behavior), false
         otherwise</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapMarker.html#setDraggable-boolean-"><code>MapMarker.setDraggable(boolean)</code></a></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onTwoFingerTapEvent-android.graphics.PointF-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onTwoFingerTapEvent</h4>
<pre>public boolean onTwoFingerTapEvent(android.graphics.PointF p)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onTwoFingerTapEvent-android.graphics.PointF-">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating that a user has performed a two-finger tap gesture on a map.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onTwoFingerTapEvent-android.graphics.PointF-">onTwoFingerTapEvent</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - A <code>PointF</code> representing the on-screen point where the two-finger tap
            occurred</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if consumed (which prevents the default map zoom-out behavior), false
         otherwise</dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onLongPressRelease--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>onLongPressRelease</h4>
<pre>public void onLongPressRelease()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface: <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onLongPressRelease--">MapGesture.OnGestureListener</a></code></span></div>
<div class="block">A callback indicating that a user has released a long-press gesture on a map.
 <p>
 This callback may also occur when the user has panned around the map.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html#onLongPressRelease--">onLongPressRelease</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapGesture.OnGestureListener.OnGestureListenerAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapLabeledMarker.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html" target="_top">Frames</a></li>
<li><a href="MapGesture.OnGestureListener.OnGestureListenerAdapter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
